FreeMat

- Main Page
- Related Pages

WAVRECORD

Section: Input/Ouput Functions

# Usage

Records linear PCM sound from the audio system. This function is only available if the `portaudio` library was available when FreeMat was built. The syntax for this command is one of:

      y = wavrecord(samples,rate)
      y = wavrecord(...,channels)
      y = wavrecord(...,'datatype')

where `samples` is the number of samples to record, and `rate` is the sampling rate. If not specified, the `rate` defaults to `11025Hz`. If you want to record in stero, specify `channels = 2`. Finally, you can specify the type of the recorded data (defaults to `FM_DOUBLE`). Valid choices are `float, double, int32, int16, int8, uint8`.